tosca_definitions_version: tosca_simple_yaml_1_1
metadata:
  invariantUUID: c227cf48-c655-4fab-8aca-5dde0dc5829f
  UUID: 0f768a70-ce4c-483a-8b1e-0e5e05064df5
  name: 222-NGCE-BID-FIXED_KS01_service
  description: 222-NGCE-BID-FIXED_KS01_service
  type: Service
  category: Network Service
  serviceType: ngedge_overlay
  serviceRole: ''
  instantiationType: Macro
  serviceEcompNaming: true
  ecompGeneratedNaming: true
  namingPolicy: ''
  environmentContext: General_Revenue-Bearing
  serviceFunction: ''
imports:
- nodes:
    file: nodes.yml
- datatypes:
    file: data.yml
- capabilities:
    file: capabilities.yml
- relationships:
    file: relationships.yml
- groups:
    file: groups.yml
- policies:
    file: policies.yml
- annotations:
    file: annotations.yml
- service-222-NGCE-BID-FIXED_KS01_service-interface:
    file: service-222NgceBidFixedKs01Service-template-interface.yml
- resource-VL OVERLAYTUNNEL:
    file: resource-VlOverlaytunnel-template.yml
- resource-NGCE_PNG_KS01:
    file: resource-NgcePngKs01-template.yml
- resource-NGCE_PNG_KS01-interface:
    file: resource-NgcePngKs01-template-interface.yml
topology_template:
  inputs:
    skip_post_instantiation_configuration:
      default: false
      type: boolean
      required: false
    controller_actor:
      default: CDS
      type: string
      required: false
    cds_model_version:
      default: 1.0.0
      type: string
      required: false
    cds_model_name:
      default: ngedge-overlay-poc-model
      type: string
      required: false
  node_templates:
    VL OVERLAYTUNNEL 0:
      type: org.openecomp.resource.vl.overlaytunnel
      metadata:
        invariantUUID: a58740a5-b154-49ee-baa5-fa9477076de6
        UUID: ea077b31-a78a-4e1a-a9a4-37af6cd07fb9
        customizationUUID: b617655e-1529-4737-8c5c-f8ab8c14ec27
        version: '1.0'
        name: VL OVERLAYTUNNEL
        description: The node represents a overlay tunnel entity.
        type: VL
        category: Network Connectivity
        subcategory: Virtual Links
        resourceVendor: ONAP (Tosca)
        resourceVendorRelease: 1.0.0.wd03
        resourceVendorModelNumber: ''
      properties:
        site2_localNetworkAll: false
        site1_fireWallEnable: false
        site1_localNetworkAll: false
        site2_fireWallEnable: false
    NGCE_PNG_KS01 0:
      type: org.openecomp.resource.pnf.NgcePngKs01
      metadata:
        invariantUUID: f28808e7-13b5-46b4-b1a4-d6f65ea43471
        UUID: f4b2095b-19aa-4e5c-b8fb-4f8aad25d4ff
        customizationUUID: 01dcc7be-0719-47c3-9475-fc818dab99af
        version: '1.0'
        name: NGCE_PNG_KS01
        description: NGCE Nokia 7750
        type: PNF
        category: Generic
        subcategory: Network Service
        resourceVendor: Nokia
        resourceVendorRelease: '7750'
        resourceVendorModelNumber: Nokia 7750
      properties:
        skip_post_instantiation_configuration: false
        controller_actor: CDS
        sdnc_model_version: 1.0.0
        sdnc_model_name: ngedge-overlay-poc-model
      requirements:
      - subinterface0.link:
          capability: virtual_linkable
          node: VL OVERLAYTUNNEL 0
  substitution_mappings:
    node_type: org.openecomp.service.222NgceBidFixedKs01Service
    capabilities:
      ngce_png_ks010.port0.feature:
      - NGCE_PNG_KS01 0
      - port0.feature
      vloverlaytunnel0.feature:
      - VL OVERLAYTUNNEL 0
      - feature
      vloverlaytunnel0.virtual_linkable:
      - VL OVERLAYTUNNEL 0
      - virtual_linkable
      ngce_png_ks010.subinterface0.feature:
      - NGCE_PNG_KS01 0
      - subinterface0.feature
    requirements:
      ngce_png_ks010.subinterface0.binding:
      - NGCE_PNG_KS01 0
      - subinterface0.binding
      ngce_png_ks010.subinterface0.link:
      - NGCE_PNG_KS01 0
      - subinterface0.link
      ngce_png_ks010.subinterface0.dependency:
      - NGCE_PNG_KS01 0
      - subinterface0.dependency
      vloverlaytunnel0.virtualLink:
      - VL OVERLAYTUNNEL 0
      - virtualLink
      ngce_png_ks010.port0.link:
      - NGCE_PNG_KS01 0
      - port0.link
      ngce_png_ks010.port0.binding:
      - NGCE_PNG_KS01 0
      - port0.binding
      ngce_png_ks010.port0.dependency:
      - NGCE_PNG_KS01 0
      - port0.dependency
      vloverlaytunnel0.dependency:
      - VL OVERLAYTUNNEL 0
      - dependency
